/*
 * Approved for Public Release; Distribution Unlimited. Case Number 14-4275
 * Copyright 2014 The MITRE Corporation.  All rights reserved.
 */
package Working.Tests;

import java.io.File;
import org.junit.Test;
import static org.junit.Assert.*;
import org.mitre.deluge.DelugeTransformer;

/**
 *
 * @author James Garriss
 */
public class StreamingTest
{

    @Test
    public void streaming()
    {
        // This test is commented out, b/c it runs non-stop and prevents the build process from finishing.
        /*
        try
        {
            DelugeTransformer xslStreamTransformer = new DelugeTransformer();
            xslStreamTransformer.transformStreaming(new File("rsc/xslt/Streaming/empty.xml"),
                                                    new File("rsc/xslt/Streaming/streaming.xsl"),
                                                    new File("rsc/xslt/Streaming/result.html"));
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            fail();
        }
        */
    }
    
    @Test
    public void streaming2()
    {
        // This test is commented out, b/c it runs non-stop and prevents the build process from finishing.
        /*
        try
        {
            DelugeTransformer xslStreamTransformer = new DelugeTransformer();
            xslStreamTransformer.transformStreaming(new File("rsc/xslt/Streaming/empty.xml"),
                                                    new File("test-rsc/Show-Titles.xsl"),
                                                    new File("test-rsc/Show-Titles-Result.txt"));
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            fail();
        }
        */
    }

}
